Subject: Clean up splitName() in storage backends
Description

splitName() is now present in the PDO storage and search backends, but needs to go elsewhere and cleaned up.

Associated revisions
Revision 1e70ee48 - 2009-04-02 12:06 - Karsten Dambekalns
FLOW3:
    -  findObjectByIdentityProperties() now can handle multiple identity properties
TYPO3CR:
    -  removed use of PHP6 package string operations
    -  hasNode() on Nodes now massively performs faster for direct children
    -  Session now no longer register new nodes as dirty, speeds up handling of new nodes massively
    -  bindValue() no handles all Value types by using their string representation
    -  cleaned up splitName() in the storage and search PDO backends, refs #2891
    -  moved some PDO prepare() calls out of loops for speedup
    -  FLOW3 persistence query can now search for properties being objects
    -  started to rewrite QOM parsing in PDO search backend, needs more work!

Revision 1faa4813 - 2009-05-20 14:08 - Karsten Dambekalns
TYPO3CR:
    -  cleaned up PDO storage and search backend, refs #2891
    -  support querying for objects now works, resolves #2812, refs #1884, refs #1875
    -  added more operators for comparison when searching, refs #1884, refs #1875
    -  added and cleaned up some tests

History
#1 - 2009-05-12 13:18 - Karsten Dambekalns
- % Done changed from 0 to 30

The same is true for prefixName used in the storage backend.

#2 - 2009-06-10 11:03 - Karsten Dambekalns
- Assigned To deleted (Karsten Dambekalns)

#3 - 2010-12-17 13:03 - Karsten Dambekalns
- Status changed from Accepted to Closed
